//
// Alert
//

.alert {
  font-size: $font-size-sm;
}

// Alert heading

.alert-heading {
  font-weight: $font-weight-bold;
  font-size: $h4-font-size;
  margin-top: .15rem;
}


// Alert icon
.alert-icon {
  font-size: 1.25rem;
  margin-right: 1.25rem;
  display: inline-block;
  vertical-align: middle;

  i.ni {
    position: relative;
    top: 1px;
  }
}


// Alert text next to an alert icon
.alert-text {
  display: inline-block;
  vertical-align: middle;
}


// Alert links

[class*="alert-"] {
  .alert-link {
    color: $white;
    border-bottom: 1px dotted rgba($white, .5);
  }
}

//
// Dismissible alert
//

.alert-dismissible {
  .close {
    top: 50%;
    right: $alert-padding-x;
    padding: 0;
    transform: translateY(-50%);
    color: rgba($white, .6);
    opacity: 1;

    &:hover,
    &:focus {
      color: rgba($white, .9);
      opacity: 1 !important;
    }

    @include media-breakpoint-down(xs) {
      top: 1rem;
      right: .5rem;
    }

    &>span:not(.sr-only) {
      font-size: 1.5rem;
      background-color: transparent;
      color: rgba($white, .6);
    }

    &:hover,
    &:focus {
      &>span:not(.sr-only) {
        background-color: transparent;
        color: rgba($white, .9);
      }
    }
  }
}

